tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jfcl...@apache.org
Subject svn commit: r671487 - /tomcat/connectors/trunk/jni/jnirelease.sh
Date Wed, 25 Jun 2008 09:48:38 GMT
Author: jfclere
Date: Wed Jun 25 02:48:37 2008
New Revision: 671487

URL: http://svn.apache.org/viewvc?rev=671487&view=rev
Log:
Failed if first svn failed

Modified:
    tomcat/connectors/trunk/jni/jnirelease.sh

Modified: tomcat/connectors/trunk/jni/jnirelease.sh
URL: http://svn.apache.org/viewvc/tomcat/connectors/trunk/jni/jnirelease.sh?rev=671487&r1=671486&r2=671487&view=diff
==============================================================================
--- tomcat/connectors/trunk/jni/jnirelease.sh (original)
+++ tomcat/connectors/trunk/jni/jnirelease.sh Wed Jun 25 02:48:37 2008
@@ -64,6 +64,10 @@
 rm -rf ${JKJNIDIST}
 mkdir -p ${JKJNIDIST}/jni
 svn export $SVNBASE/${JKJNIEXT}/jni/native ${JKJNIDIST}/jni/native
+if [ $? -ne 0 ]; then
+  echo "svn export failed"
+  exit 1
+fi
 svn cat $SVNBASE/${JKJNIEXT}/KEYS > ${JKJNIDIST}/KEYS
 svn cat $SVNBASE/${JKJNIEXT}/LICENSE > ${JKJNIDIST}/LICENSE
 svn cat $SVNBASE/${JKJNIEXT}/NOTICE > ${JKJNIDIST}/NOTICE



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message